diff options
Diffstat (limited to 'bzdiff')
-rw-r--r-- | bzdiff | 4 |
1 files changed, 2 insertions, 2 deletions
@@ -12,7 +12,7 @@ | |||
12 | # necessary) and fed to cmp or diff. The exit status from cmp | 12 | # necessary) and fed to cmp or diff. The exit status from cmp |
13 | # or diff is preserved. | 13 | # or diff is preserved. |
14 | 14 | ||
15 | PATH="/usr/bin:$PATH"; export PATH | 15 | PATH="/usr/bin:/bin:$PATH"; export PATH |
16 | prog=`echo $0 | sed 's|.*/||'` | 16 | prog=`echo $0 | sed 's|.*/||'` |
17 | case "$prog" in | 17 | case "$prog" in |
18 | *cmp) comp=${CMP-cmp} ;; | 18 | *cmp) comp=${CMP-cmp} ;; |
@@ -37,7 +37,7 @@ if test -z "$FILES"; then | |||
37 | echo "Usage: $prog [${comp}_options] file [file]" | 37 | echo "Usage: $prog [${comp}_options] file [file]" |
38 | exit 1 | 38 | exit 1 |
39 | fi | 39 | fi |
40 | tmp=`tempfile -d /tmp -p bz` || { | 40 | tmp=`mktemp ${TMPDIR:-/tmp}/bzdiff.XXXXXXXXXX` || { |
41 | echo 'cannot create a temporary file' >&2 | 41 | echo 'cannot create a temporary file' >&2 |
42 | exit 1 | 42 | exit 1 |
43 | } | 43 | } |